diff -urN src.orig/left_main.php src/left_main.php
--- src.orig/left_main.php	2007-03-06 18:03:45.000000000 +0200
+++ src/left_main.php	2007-06-16 20:27:36.635822150 +0300
@@ -342,6 +342,26 @@
 
 echo "\n<body bgcolor=\"$color[3]\" text=\"$color[6]\" link=\"$color[6]\" vlink=\"$color[6]\" alink=\"$color[6]\">\n";
 
+require_once(SM_PATH . 'functions/strings.php');
+require_once(SM_PATH . 'config/config.php');
+require_once(SM_PATH . 'functions/prefs.php');
+    if (isset($identity) && $identity != 'default') {
+        $from_mail = getPref($data_dir, $username,
+                             'email_address' . $identity);
+        $full_name = getPref($data_dir, $username,
+                             'full_name' . $identity);
+        $from_addr = '"'.$full_name.'" <'.$from_mail.'>';
+        $reply_to  = getPref($data_dir, $username,
+                             'reply_to' . $identity);
+    } else {
+        $from_mail = getPref($data_dir, $username, 'email_address');
+        $full_name = getPref($data_dir, $username, 'full_name');
+        $from_addr = '"'.$full_name.'" <'.$from_mail.'>';
+        $reply_to  = getPref($data_dir, $username,'reply_to');
+    }
+if (!$from_mail) $from_mail = $username;
+echo(htmlspecialchars("$full_name <$from_mail>")."<br><br>");
+
 do_hook('left_main_before');
 
 echo "\n\n" . html_tag( 'table', '', 'left', '', 'border="0" cellspacing="0" cellpadding="0" width="99%"' ) .
